Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.jdbc
Class Driver

    java.lang.Object
      |
      +--com.bea.p13n.content.document.jdbc.Driver

All Implemented Interfaces:
  Driver

public class Driver
extends Object
implements Driver

A JDBC driver that maps onto DocumentProviders.

This driver only supports CallableStatements and a very limited set of statements calls (i.e. no SQL).

This driver responds to url of the form "jdbc:beasys:docmgmt". The document provider implementation class name is expected either in the configuration properties at "documentProvider" or after the url, as in "jdbc:beasys:docmgmt:ProviderClass". The configuration properties passed into the connection method will be forwarded onto the DocumentProvider's init() method.

Since:
  2.0

Field Summary
`static String` | `URL_PREFIX` Deprecated.

Constructor Summary
`Driver()` Deprecated.

Method Summary
`boolean` | `acceptsURL(String url)` Deprecated. Tell if this driver accepts the specific JDBC url.
`Connection` | `connect(String url, Properties info)` Deprecated. Open a connection to the document management system.
`int` | `getMajorVersion()` Deprecated. Get the driver major version.
`int` | `getMinorVersion()` Deprecated. Get the driver minor version.
`DriverPropertyInfo[]` | `getPropertyInfo(String url, Properties info)` Deprecated. Return driver property info based upon the specified configuration.
`boolean` | `jdbcCompliant()` Deprecated. Tell if this driver is JDBC compliant.
`void` | `setClassLoader(ClassLoader classLoader)` Deprecated. Set the ClassLoader this should use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL_PREFIX

    public static final String URL_PREFIX

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### Driver

    public Driver()

  Deprecated.

Method Detail

### acceptsURL

    public boolean acceptsURL(String url)

  Deprecated.
  Tell if this driver accepts the specific JDBC url.

  This driver only accepts urls beginning with "jdbc:beasys:docmgmt".

  Specified by:
    `acceptsURL` in interface `Driver`
  Parameters:
    `url` - the url to check.
  Returns:
    true if the url is valid, false if not.

### connect

    public Connection connect(String url,
                              Properties info)
                       throws SQLException

  Deprecated.
  Open a connection to the document management system.

  Specified by:
    `connect` in interface `Driver`
  Parameters:
    `url` - the JDBC url.
    `info` - the configuration properties.
  Returns:
    a Connection on success, null on bad url.
  Throws:
    `SQLException` - thrown on an error.

### getMajorVersion

    public int getMajorVersion()

  Deprecated.
  Get the driver major version.

  Specified by:
    `getMajorVersion` in interface `Driver`

### getMinorVersion

    public int getMinorVersion()

  Deprecated.
  Get the driver minor version.

  Specified by:
    `getMinorVersion` in interface `Driver`

### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                                Properties info)

  Deprecated.
  Return driver property info based upon the specified configuration.

  Specified by:
    `getPropertyInfo` in interface `Driver`
  Parameters:
    `url` - the JDBC url.
    `info` - the configuration properties so far.
  Returns:
    null.

### jdbcCompliant

    public boolean jdbcCompliant()

  Deprecated.
  Tell if this driver is JDBC compliant.

  Specified by:
    `jdbcCompliant` in interface `Driver`
  Returns:
    false.

### setClassLoader

    public void setClassLoader(ClassLoader classLoader)

  Deprecated.
  Set the ClassLoader this should use.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved